# _XWidgetInfo Struct Reference

## Data Fields

char * | cursor
char * | text
char * | marker
int | id
unsigned int | bevel_width
unsigned int | width
unsigned int | height
int | x
int | y
int | min_y
int | max_y
MagickStatusType | raised
MagickStatusType | active
MagickStatusType | center
MagickStatusType | trough
MagickStatusType | highlight

## Field Documentation

char* _XWidgetInfo::cursor

char * _XWidgetInfo::text

char * _XWidgetInfo::marker

int _XWidgetInfo::id

unsigned int _XWidgetInfo::bevel_width

unsigned int _XWidgetInfo::width

unsigned int _XWidgetInfo::height

int _XWidgetInfo::x

int _XWidgetInfo::y

int _XWidgetInfo::min_y

int _XWidgetInfo::max_y

MagickStatusType _XWidgetInfo::raised

MagickStatusType _XWidgetInfo::active

MagickStatusType _XWidgetInfo::center

MagickStatusType _XWidgetInfo::trough

MagickStatusType _XWidgetInfo::highlight

The documentation for this struct was generated from the following file:

- widget.c